Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Atk::Object Class Reference

An AtkObject C++ wrapper class. More...

`#include <inti/atk/object.h>`

Inheritance diagram for Inti::Atk::Object:

List of all members.

## Public Member Functions

Constructors

- virtual ~Object ()
    Destructor.

Accessors

- AtkObject * atk_object () const
    Get a pointer to the AtkObject structure.
- AtkObjectClass * atk_object_class () const
    Get a pointer to the AtkObjectClass structure.
- operator AtkObject * () const
    Conversion operator; safely converts an Object to an AtkObject pointer.
- String get_name () const
    Gets the accessible name of the object.
- String get_description () const
    Gets the accessible description of the object.
- Object * get_parent () const
    Gets the accessible parent of the object.
- int get_n_accessible_children () const
    Gets the number of accessible children of the object.
- Object * ref_accessible_child (int index) const
    Gets a pointer to the specified accessible child of the object.
- RelationSet * ref_relation_set () const
    Gets the RelationSet associated with the object.
- Role get_role () const
    Gets the role of the accessible object.
- Pointer< StateSet > ref_state_set () const
    Gets a reference to the StateSet of the accessible object.
- int get_index_in_parent () const
    Gets the zero-based index of this accessible object in its parent.

Methods

- void set_name (const String &name)
    Sets the accessible name of the object.
- void set_description (const String &description)
    Sets the accessible description of the object.
- void set_parent (Object &parent)
    Sets the accessible parent of the object.
- void set_role (Role role)
    Sets the role of the accessible object.
- void notify_state_change (State state, bool value)
    Emits a "state_change" signal for the specified state.
- bool add_relationship (RelationType relationship, const Object &target)
    Adds a relationship of the specified type to the specified target.
- bool remove_relationship (RelationType relationship, const Object &target)
    Removes a relationship of the specified type from the specified target.

Property Proxies

- const AccessibleNamePropertyProxy prop_accessible_name ()
    Object instance's name formatted for assistive technology access (String : Read / Write).
- const AccessibleDescriptionPropertyProxy prop_accessible_description ()
    Description of an object, formatted for assistive technology access (String : Read / Write).
- const AccessibleParentPropertyProxy prop_accessible_parent ()
    Is used to notify that the parent has changed (Atk::Object* : Read / Write).
- const AccessibleValuePropertyProxy prop_accessible_value ()
    Is used to notify that the value has changed (double : Read / Write).
- const AccessibleRolePropertyProxy prop_accessible_role ()
    The accessible role of this object (int : Read / Write).
- const AccessibleComponentLayerPropertyProxy prop_accessible_component_layer ()
    The accessible layer of this object (int : Read).
- const AccessibleComponentMdiZorderPropertyProxy prop_accessible_component_mdi_zorder ()
    The accessible MDI value of this object (int : Read).
- const AccessibleTableCaptionPropertyProxy prop_accessible_table_caption ()
    Is used to notify that the table caption has changed (String : Read / Write).
- const AccessibleTableColumnDescriptionPropertyProxy prop_accessible_table_column_description ()
    Is used to notify that the table columnscription has changed (String : Read / Write).
- const AccessibleTableColumnHeaderPropertyProxy prop_accessible_table_column_header ()
    Is used to notify that the table column header has changed (Atk::Object* : Read / Write).
- const AccessibleTableRowDescriptionPropertyProxy prop_accessible_table_row_description ()
    Is used to notify that the table row description has changed (String : Read / Write).
- const AccessibleTableRowHeaderPropertyProxy prop_accessible_table_row_header ()
    Is used to notify that the table row header has changed (Atk::Object* : Read / Write).
- const AccessibleTableSummaryPropertyProxy prop_accessible_table_summary ()
    Is used to notify that the table summary has changed (Atk::Object* : Read / Write).

Signal Proxies

- const ChildrenChangedSignalProxy sig_children_changed ()
    Connect to the children_changed_signal; emitted when the number of children of the object changes.
- const FocusEventSignalProxy sig_focus_event ()
    Connect to the focus_event_signal; emitted when there is a focus event for an object.
- const PropertyChangeSignalProxy sig_property_change ()
    Connect to the property_change_signal; emitted when the value of an object property changes.
- const StateChangeSignalProxy sig_state_change ()
    Connect to the state_change_signal; emitted when the state of an object changes.
- const VisibleDataChangedSignalProxy sig_visible_data_changed ()
    Connect to the visible_data_changed_signal; emitted when there is a change in the visible data for an object.
- const ActiveDescendantChangedSignalProxy sig_active_descendant_changed ()
    Connect to the active_descendant_changed_signal; emitted when there is a change in the 'active' child or children of the object (for instance, when the interior focus changes in a table or list).

## Protected Member Functions

Constructors

- Object (AtkObject *object, bool reference=true)
    Construct a new Object from an existing AtkObject.

Signal Handlers

- virtual void on_children_changed (unsigned int change_index, gpointer changed_child)
    Called when the number of children of the object changes.
- virtual void on_focus_event (bool focus_in)
    Called when there is a focus event for an object.
- virtual void on_property_change (AtkPropertyValues *values)
    Called when the value of an object property changes.
- virtual void on_state_change (const String &name, bool state_set)
    Called when the state of an object changes.
- virtual void on_visible_data_changed ()
    Called when there is a change in the visible data for an object.
- virtual void on_active_descendant_changed (void **child)
    Called when there is a change in the 'active' child or children of the object, for instance when interior focus changes in a table or list.

## Detailed Description

An AtkObject C++ wrapper class.

Atk::Object is the primary class for accessibility support via the Accessibility ToolKit (ATK). Objects which are instances of Atk::Object (or instances of Atk::Object-derived types) are queried for properties which relate basic (and generic) properties of a UI component such as name and description. Instances of Atk::Object may also be queried as to whether they implement other ATK interfaces (e.g. Action, Component, etc.), as appropriate to the role which a given UI component plays in a user interface.

All UI components in an application which provide useful information or services to the user must provide corresponding Atk::Object instances on request (in GTK+, for instance, usually on a call to Gtk::Widget::get_accessible()), either via ATK support built into the toolkit for the widget class or ancestor class, or in the case of custom widgets, if the inherited Atk::Object implementation is insufficient, via instances of a new Atk::Object subclass.

## Constructor & Destructor Documentation

Inti::Atk::Object::Object | ( | AtkObject * | object,
|  | bool | reference = true
| ) | `[explicit, protected]`

Construct a new Object from an existing AtkObject.

Parameters:

  object | A pointer to a AtkObject.
  reference | Set false if the initial reference count is floating, set true if it's not.

The object can be a newly created AtkObject or an existing AtkObject. (see G::Object::Object).

## Member Function Documentation

bool Inti::Atk::Object::add_relationship | ( | RelationType | relationship,
|  | const Object & | target
| ) |

Adds a relationship of the specified type to the specified target.

Parameters:

  relationship | The RelationType of the relation.
  target | The Atk::Object which is to be the target of the relation.

Returns:
  true if the relationship was added.

String Inti::Atk::Object::get_description | ( |  | ) | const

Gets the accessible description of the object.

Returns:
  A character string representing the accessible description of the object.

int Inti::Atk::Object::get_index_in_parent | ( |  | ) | const

Gets the zero-based index of this accessible object in its parent.

Returns:
  An integer which is the index of the accessible object in its parent, or -1 if the accessible does not have an accessible parent.

int Inti::Atk::Object::get_n_accessible_children | ( |  | ) | const

Gets the number of accessible children of the object.

Returns:
  An integer representing the number of accessible children of the object.

String Inti::Atk::Object::get_name | ( |  | ) | const

Gets the accessible name of the object.

Returns:
  A character string representing the accessible name of the object.

Object* Inti::Atk::Object::get_parent | ( |  | ) | const

Gets the accessible parent of the object.

Returns:
  An Atk::Object representing the accessible parent of the object.

Role Inti::Atk::Object::get_role | ( |  | ) | const

Gets the role of the accessible object.

Returns:
  A Role which is the role of the accessible object.

void Inti::Atk::Object::notify_state_change | ( | State | state,
|  | bool | value
| ) |

Emits a "state_change" signal for the specified state.

Parameters:

  state | A State whose state is changed.
  value | Indicates whether the state is being set on or off.

virtual void Inti::Atk::Object::on_active_descendant_changed | ( | void ** | child | ) | `[protected, virtual]`

Called when there is a change in the 'active' child or children of the object, for instance when interior focus changes in a table or list.

Parameters:

  child |

virtual void Inti::Atk::Object::on_children_changed | ( | unsigned int | change_index,
|  | gpointer | changed_child
| ) | `[protected, virtual]`

Called when the number of children of the object changes.

Parameters:

  change_index | The index of the added or removed child.
  changed_child | The child which was added or removed.

The children_changed signal supports two details, "add" and "remove" which indicate whether a child was added or removed.

virtual void Inti::Atk::Object::on_focus_event | ( | bool | focus_in | ) | `[protected, virtual]`

Called when there is a focus event for an object.

Parameters:

  focus_in | Indicates whether or not the focus event is is or out.

virtual void Inti::Atk::Object::on_property_change | ( | AtkPropertyValues * | values | ) | `[protected, virtual]`

Called when the value of an object property changes.

Parameters:

  values | The new value of the property which changed.

virtual void Inti::Atk::Object::on_state_change | ( | const String & | name,
|  | bool | state_set
| ) | `[protected, virtual]`

Called when the state of an object changes.

Parameters:

  name | The name of the state which has changed.
  state_set | Indicates whether the state has been set or unset.

This signal supports any of the accessible state types.

Object* Inti::Atk::Object::ref_accessible_child | ( | int | index | ) | const

Gets a pointer to the specified accessible child of the object.

Parameters:

  index | An integer representing the position of the child, starting from 0.

Returns:
  An Atk::Object representing the specified accessible child of the object.

The accessible children are zero-based so the first accessible child is at index 0, the second at index 1 and so on.

RelationSet* Inti::Atk::Object::ref_relation_set | ( |  | ) | const

Gets the RelationSet associated with the object.

Returns:
  A RelationSet representing the relation set of the object.

Pointer<StateSet> Inti::Atk::Object::ref_state_set | ( |  | ) | const

Gets a reference to the StateSet of the accessible object.

Returns:
  A smart pointer to a StateSet which is the state set of the accessible object.

bool Inti::Atk::Object::remove_relationship | ( | RelationType | relationship,
|  | const Object & | target
| ) |

Removes a relationship of the specified type from the specified target.

Parameters:

  relationship | The RelationType of the relation.
  target | The Atk::Object which is the target of the relation to be removed.

Returns:
  true if the relationship was removed.

void Inti::Atk::Object::set_description | ( | const String & | description | ) |

Sets the accessible description of the object.

Parameters:

  description | A character string to be set as the accessible description.

void Inti::Atk::Object::set_name | ( | const String & | name | ) |

Sets the accessible name of the object.

Parameters:

  name | A character string to be set as the accessible name.

void Inti::Atk::Object::set_parent | ( | Object & | parent | ) |

Sets the accessible parent of the object.

Parameters:

  parent | An Atk::Object to be set as the accessible parent.

void Inti::Atk::Object::set_role | ( | Role | role | ) |

Sets the role of the accessible object.

Parameters:

  role | A Role to be set as the role.

const ActiveDescendantChangedSignalProxy Inti::Atk::Object::sig_active_descendant_changed | ( |  | ) | `[inline]`

| Connect to the active_descendant_changed_signal; emitted when there is a change in the 'active' child or children of the object (for instance, when the interior focus changes in a table or list). This signal should be emitted by objects whose state includes Atk::STATE_MANAGES_DESCENDANTS.

The documentation for this class was generated from the following file:

- atk/object.h

Main Page - Footer